%define name 	sane-frontends
%define version 1.0.5
%define release 3mdk

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary: 	Graphical frontend to SANE
URL:       	http://www.mostang.com/sane/
Source:    	ftp://ftp.mostang.com/pub/sane/%{name}-%{version}.tar.bz2
License: 	GPL
Group:		Graphics
BuildRequires:	gimp-devel libjpeg-devel libsane-devel >= %{version}-2mdk libusb-devel
Requires: 	gtk+, gimp-libgimp, sane = %{version}, sane >= %{version}-2mdk
Buildroot: 	%{_tmppath}/%{name}-%{version}-root

%description
This is the xscanimage program, used to scan images using SANE, either
standalone or as a gimp plugin. Also includes xcam.

%prep
%setup -q -n sane-frontends-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s \
./configure --with-gnu-ld --prefix=%{_prefix} --sysconfdir=%{_sysconfdir} --mandir=%{_mandir}

# glibc 2.1 has stpcpy, but sane's configure is apparently unable to detect it.
perl -p -i -e "s|\/\* #undef HAVE_STPCPY \*\/|#define HAVE_STPCPY 1|" include/sane/config.h

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%post
if [ -d /usr/lib/gimp ]; then
  GIMPDIR=`ls -d /usr/lib/gimp/[01]*`
  [ -z "$GIMPDIR" ] && exit 0
  for i in $GIMPDIR;do
  [ -d $i ] || mkdir -p $i
  ln -sf /usr/bin/xscanimage $i/plug-ins/xscanimage
  done
fi

%preun
if [ $1 = 0 ]; then
  if [ -d /usr/lib/gimp ]; then
    GIMPDIR=`ls -d /usr/lib/gimp/[01]*`
	[ -z "$GIMPDIR" ] && exit 0
	for i in $GIMPDIR;do
    [ -d $i ] || mkdir -p $i
    rm -f $i/plug-ins/xscanimage
  	done
  fi
fi

%clean
rm -R $RPM_BUILD_ROOT

%files
%defattr(-,root,root,755)
%{_bindir}/*
%config(noreplace) %{_datadir}/sane-style.rc
%{_mandir}/man1/*


%changelog
* Thu Aug 30 2001 Till Kamppeter <till@mandrakesoft.com> 1.0.5-3mdk
- Added HP OfficeJet support

* Sat Jul 14 2001 Stefan van der Eijk <stefan@eijk.nu> 1.0.5-2mdk
- BuildRequires:	gimp-devel
- BuildRequires:	libusb-devel
- Remove BuildRequires:	gimp-libgimp
- Remove BuildRequires:	sane
- Remove BuildRequires:	XFree86-devel

* Fri Jul  6 2001 Yves Duret <yduret@mandrakesoft.com> 1.0.5-1mdk
- verson 1.0.5

* Thu Jun 14 2001 Yves Duret <yduret@mandrakesoft.com> 1.0.5-0.20010610.1mdk
- pre-1.0.5, CVS snapshot 2001 10 06
- macros, spec clean up

* Mon Jan 08 2001 Francis Galiegue <fg@mandrakesoft.com> 1.0.4-2mdk
- Summary now capitalised
- BuildRequires: sane (for sane-config)

